Skip Menu |
 

From: ghudson@mit.edu
Subject: git commit

Add KDC_ERR_PREAUTH_EXPIRED support

Define KDC_ERR_PREAUTH_EXPIRED and KRB5KDC_ERR_PREAUTH_EXPIRED. In
init_creds_step_reply(), handle a preauth-expired error by restarting
the exchange.

https://github.com/krb5/krb5/commit/d3e0af0774dd100f00fbc8895b99355d82d86bf1
Author: Greg Hudson <ghudson@mit.edu>
Commit: d3e0af0774dd100f00fbc8895b99355d82d86bf1
Branch: master
src/include/k5-int.h | 1 +
src/lib/krb5/error_tables/krb5_err.et | 2 +-
src/lib/krb5/krb/get_in_tkt.c | 5 +++++
3 files changed, 7 insertions(+), 1 deletions(-)